Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class Groovydoc

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.Groovydoc

    public class Groovydoc
    extends Task

Access to the GroovyDoc tool from Ant.

Version:
  \$Id\$

Constructor Summary
`Groovydoc()`

Method Summary
`LinkArgument` | `createLink()` Create link to Javadoc/GroovyDoc output at the given URL.
`void` | `execute()`
`protected String[]` | `getClassTemplates()` Creates and returns an array of class template classpath entries.
`protected String[]` | `getDocTemplates()` Creates and returns an array of doc template classpath entries.
`protected String[]` | `getPackageTemplates()` Creates and returns an array of package template classpath entries.
`void` | `setAccess(String access)` Indicates the access mode or scope of interest: one of public, protected, package, or private.
`void` | `setAuthor(boolean author)` If set to false, author will not be displayed.
`void` | `setDestdir(File dir)` Set the directory where the Groovydoc output will be generated.
`void` | `setDoctitle(String htmlTitle)` Set the title for the overview page.
`void` | `setExtensions(String extensions)` A colon-separated list of filename extensions to look for when searching for files to process in a given directory.
`void` | `setFooter(String footer)` Set the footer to place at the bottom of each generated html page.
`void` | `setHeader(String header)` Specifies the header text to be placed at the top of each output file.
`void` | `setIncludeMainForScripts(boolean includeMainForScripts)` If set to false, 'public static void main' method will not be displayed.
`void` | `setOverview(File file)` Specify the file containing the overview to be included in the generated documentation.
`void` | `setPackage(boolean b)` Indicate whether only package, protected and public classes and members are to be included in the scope processed.
`void` | `setPackagenames(String packages)` Set the package names to be processed.
`void` | `setPrivate(boolean b)` Indicate whether all classes and members are to be included in the scope processed.
`void` | `setProcessScripts(boolean processScripts)` If set to false, Scripts will not be processed.
`void` | `setProtected(boolean b)` Indicate whether only protected and public classes and members are to be included in the scope processed.
`void` | `setPublic(boolean b)` Indicate whether only public classes and members are to be included in the scope processed.
`void` | `setSourcepath(Path src)` Specify where to find source file
`void` | `setStyleSheetFile(File styleSheetFile)` Specifies a stylesheet file to use.
`void` | `setUse(boolean b)`
`void` | `setWindowtitle(String title)` Set the title to be placed in the HTML <title> tag of the generated documentation.

Methods inherited from class Task
log, log, log, log, init, execute, perform, maybeConfigure, setTaskType, setTaskName, setOwningTarget, getTaskName, getOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, reconfigure, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### createLink

    public LinkArgument createLink()

  Create link to Javadoc/GroovyDoc output at the given URL.
  Returns:
    link argument to configure

### execute

    public void execute()

### getClassTemplates

    protected String[] getClassTemplates()

  Creates and returns an array of class template classpath entries.

  This method is meant to be overridden by custom GroovyDoc implementations, using custom class templates.
  Returns:
    an array of class templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_CLASS_TEMPLATES.

### getDocTemplates

    protected String[] getDocTemplates()

  Creates and returns an array of doc template classpath entries.

  This method is meant to be overridden by custom GroovyDoc implementations, using custom doc templates.
  Returns:
    an array of doc templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_DOC_TEMPLATES.

### getPackageTemplates

    protected String[] getPackageTemplates()

  Creates and returns an array of package template classpath entries.

  This method is meant to be overridden by custom GroovyDoc implementations, using custom package templates.
  Returns:
    an array of package templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_PACKAGE_TEMPLATES.

### setAccess

    public void setAccess(String access)

  Indicates the access mode or scope of interest: one of public, protected, package, or private. Package scoped access is ignored for fields of Groovy classes where they correspond to properties.
  Parameters:
    `access` - one of public, protected, package, or private

### setAuthor

    public void setAuthor(boolean author)

  If set to false, author will not be displayed. Currently not used.
  Parameters:
    `author` - new value

### setDestdir

    public void setDestdir(File dir)

  Set the directory where the Groovydoc output will be generated.
  Parameters:
    `dir` - the destination directory.

### setDoctitle

    public void setDoctitle(String htmlTitle)

  Set the title for the overview page.
  Parameters:
    `htmlTitle` - the html to use for the title.

### setExtensions

    public void setExtensions(String extensions)

  A colon-separated list of filename extensions to look for when searching for files to process in a given directory. Default value: `.java:.groovy:.gv:.gvy:.gsh`
  Parameters:
    `extensions` - new value

### setFooter

    public void setFooter(String footer)

  Set the footer to place at the bottom of each generated html page.
  Parameters:
    `footer` - the footer value

### setHeader

    public void setHeader(String header)

  Specifies the header text to be placed at the top of each output file. The header will be placed to the right of the upper navigation bar. It may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within the header may have to be escaped.
  Parameters:
    `header` - the header value

### setIncludeMainForScripts

    public void setIncludeMainForScripts(boolean includeMainForScripts)

  If set to false, 'public static void main' method will not be displayed. Defaults to true. Ignored when not processing Scripts.
  Parameters:
    `includeMainForScripts` - new value

### setOverview

    public void setOverview(File file)

  Specify the file containing the overview to be included in the generated documentation.
  Parameters:
    `file` - the overview file

### setPackage

    public void setPackage(boolean b)

  Indicate whether only package, protected and public classes and members are to be included in the scope processed. Package scoped access is ignored for fields of Groovy classes where they correspond to properties.
  Parameters:
    `b` - true if scope includes package level classes and members

### setPackagenames

    public void setPackagenames(String packages)

  Set the package names to be processed.
  Parameters:
    `packages` - a comma separated list of packages specs (may be wildcarded).

### setPrivate

    public void setPrivate(boolean b)

  Indicate whether all classes and members are to be included in the scope processed.
  Parameters:
    `b` - true if scope is to be private level.

### setProcessScripts

    public void setProcessScripts(boolean processScripts)

  If set to false, Scripts will not be processed. Defaults to true.
  Parameters:
    `processScripts` - new value

### setProtected

    public void setProtected(boolean b)

  Indicate whether only protected and public classes and members are to be included in the scope processed.
  Parameters:
    `b` - true if scope includes protected level classes and members

### setPublic

    public void setPublic(boolean b)

  Indicate whether only public classes and members are to be included in the scope processed.
  Parameters:
    `b` - true if scope only includes public level classes and members

### setSourcepath

    public void setSourcepath(Path src)

  Specify where to find source file
  Parameters:
    `src` - a Path instance containing the various source directories.

### setStyleSheetFile

    public void setStyleSheetFile(File styleSheetFile)

  Specifies a stylesheet file to use. If not specified, a default one will be generated for you.
  Parameters:
    `styleSheetFile` - the css stylesheet file to use

### setUse

    public void setUse(boolean b)

### setWindowtitle

    public void setWindowtitle(String title)

  Set the title to be placed in the HTML <title> tag of the generated documentation.
  Parameters:
    `title` - the window title to use.

Copyright © 2003-2010 The Codehaus. All rights reserved.